RDKit: RDKit::Canon::MolStackElem Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::Canon::MolStackElem Class Reference

these are the actual elements in the molecular stack More...

`#include <Canon.h>`

## Public Member Functions
| MolStackElem (Atom *at)
| construct an Atom node
| MolStackElem (Bond *bond, int idx)
| construct a bond node
| MolStackElem (int idx)
| construct for a ring closure
| MolStackElem (const char *chr, int idx)
| construct for a branch opening or closing

## Public Attributes
MolStackTypes | type
| stores the type of node
MolStackUnion | obj
| holds our pointer (if appropriate)
int | number
| stores our number (relevant for bonds and ring closures)

## Detailed Description

these are the actual elements in the molecular stack

Definition at line 47 of file Canon.h.

## Constructor & Destructor Documentation

## ◆ MolStackElem() [1/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | Atom * | at | ) |
| inlineexplicit

construct an Atom node

Definition at line 50 of file Canon.h.

References RDKit::Canon::MOL_STACK_ATOM, obj, and type.

## ◆ MolStackElem() [2/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | Bond * | bond,
|  | int | idx )
| inlineexplicit

construct a bond node

Parameters

  bond | pointer to the Bond being added
  idx | index of the Atom traversed before this Bond (beginAtom in the canonical traversal order)

Definition at line 61 of file Canon.h.

References RDKit::Canon::MOL_STACK_BOND, number, obj, and type.

## ◆ MolStackElem() [3/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | int | idx | ) |
| inlineexplicit

construct for a ring closure

Definition at line 67 of file Canon.h.

References RDKit::Canon::MOL_STACK_RING, number, and type.

## ◆ MolStackElem() [4/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | const char * | chr,
|  | int | idx )
| inlineexplicit

construct for a branch opening or closing

Definition at line 72 of file Canon.h.

References RDKit::Canon::MOL_STACK_BRANCH_CLOSE, RDKit::Canon::MOL_STACK_BRANCH_OPEN, number, and type.

## Member Data Documentation

## ◆ number

int RDKit::Canon::MolStackElem::number

Initial value:
=
-1

stores our number (relevant for bonds and ring closures)

Definition at line 87 of file Canon.h.

Referenced by MolStackElem(), MolStackElem(), and MolStackElem().

## ◆ obj

MolStackUnion RDKit::Canon::MolStackElem::obj

holds our pointer (if appropriate)

Definition at line 86 of file Canon.h.

Referenced by MolStackElem(), and MolStackElem().

## ◆ type

MolStackTypes RDKit::Canon::MolStackElem::type

stores the type of node

Definition at line 85 of file Canon.h.

Referenced by MolStackElem(), MolStackElem(), MolStackElem(), and MolStackElem().

The documentation for this class was generated from the following file:

- Canon.h